Name:		xml-security-c
Version:	1.6.1
%define subrel 2
Release:	%mkrel 1
Summary:	C++ Implementation of W3C security standards for XML

Group:		System/Libraries
License:	ASL 2.0
URL:		http://santuario.apache.org/cindex.html
Source:		http://apache.tradebit.com/pub/santuario/c-library/%{name}-%{version}.tar.gz
Patch0:		xml-security-c-1.6.1-CVE-2013-2153_2154.diff
Patch1:		xml-security-c-1.6.1-CVE-2013-2155.diff
Patch2:		xml-security-c-1.6.1-CVE-2013-2156.diff
Patch3:		xml-security-c-1.6.1-CVE-2013-2210.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# xalan-c-devel
BuildRequires:	xerces-c-devel 

%description
The xml-security-c library is a C++ implementation of the XML Digital Signature
specification. The library makes use of the Apache XML project's Xerces-C XML
Parser and Xalan-C XSLT processor. The latter is used for processing XPath and
XSLT transforms.

# xalan-c-devel
%package	devel
Summary:	Development files for xml-security-c
Group:		System/Libraries
Requires:	%{name} = %{version}
Requires:	xerces-c-devel
Requires:	openssl-devel
# There are a number of headers that can use NSS if HAVE_NSS is set to 1
# Current build does not set it (configure does not even check for NSS)
# so we do not include this dependency for now.
# Requires:	nss-devel

%description	devel
This package provides development files for xml-security-c, a C++ library for
XML Digital Signatures.


%prep
%setup -q
%patch0 -p1 -b .CVE-2013-2153_2154
%patch1 -p1 -b .CVE-2013-2155
%patch2 -p1 -b .CVE-2013-2156
%patch3 -p1 -b .CVE-2013-2210

%build
%configure2_5x --disable-static
%make

%check
# Verify that what was compiled actually works.
./xsec/xtest

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

# We do not ship .la files.
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Do not ship library test utilities. These are only needed for
# xml-security-c developers and they should have the whole source anyway.
rm -rf $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libdir}/libxml-security-c.so.*
%doc LICENSE.txt INSTALL.txt CHANGELOG.txt NOTICE.txt

%files devel
%defattr(-,root,root,-)
%{_includedir}/xsec
%{_libdir}/libxml-security-c.so




%changelog
* Thu Jun 27 2013 oden <oden> 1.6.1-1.2.mga2
+ Revision: 447546
- P3: security fix for CVE-2013-2210 (upstream)
- P0: security fix for CVE-2013-2153, 2154 (upstream)
- P1: security fix for CVE-2013-2155 (upstream)
- P2: security fix for CVE-2013-2156 (upstream)

* Fri Jul 08 2011 sander85 <sander85> 1.6.1-1.mga2
+ Revision: 120236
- new version: 1.6.1

* Fri Apr 22 2011 sander85 <sander85> 1.6.0-1.mga1
+ Revision: 89762
- new version 1.6.0
- imported package xml-security-c

